ru.bitel.bgbilling.kernel.tariff.common.bean

## Class TariffPlan

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.kernel.tariff.common.bean.TariffPlan

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class TariffPlan
      extends IdTitle
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `filterFace`
    `protected long` | `filterGroups`
    `protected java.lang.String` | `filterMask`
    `protected boolean` | `used`
    `protected boolean` | `useTitleInWeb`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TariffPlan()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getConfig()`
    `Preferences` | `getConfigPreferences()`
    `int` | `getFilterFace()`
    `long` | `getFilterGroups()`
    `java.lang.String` | `getFilterMask()`
    `java.lang.String` | `getTitleWeb()`
    `boolean` | `isUsed()`
    `boolean` | `isUseTitleInWeb()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setConfig(java.lang.String config)`
    `void` | `setFilterFace(int filterFace)`
    `void` | `setFilterGroups(long filterGroups)`
    `void` | `setFilterMask(java.lang.String filterMask)`
    `void` | `setTitleWeb(java.lang.String titleWeb)`
    `void` | `setUsed(boolean used)`
    `void` | `setUseTitleInWeb(boolean useTitleInWeb)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Field Detail

    - #### used

          protected boolean used

    - #### useTitleInWeb

          protected boolean useTitleInWeb

    - #### filterGroups

          protected long filterGroups

    - #### filterFace

          protected int filterFace

    - #### filterMask

          protected java.lang.String filterMask

  - ### Constructor Detail

    - #### TariffPlan

          public TariffPlan()

  - ### Method Detail

    - #### isUsed

          public boolean isUsed()

    - #### setUsed

          public void setUsed(boolean used)

    - #### getFilterGroups

          public long getFilterGroups()

    - #### setFilterGroups

          public void setFilterGroups(long filterGroups)

    - #### getFilterFace

          public int getFilterFace()

    - #### setFilterFace

          public void setFilterFace(int filterFace)

    - #### getFilterMask

          public java.lang.String getFilterMask()

    - #### setFilterMask

          public void setFilterMask(java.lang.String filterMask)

    - #### getTitleWeb

          public java.lang.String getTitleWeb()

    - #### setTitleWeb

          public void setTitleWeb(java.lang.String titleWeb)

    - #### isUseTitleInWeb

          public boolean isUseTitleInWeb()

    - #### setUseTitleInWeb

          public void setUseTitleInWeb(boolean useTitleInWeb)

    - #### getConfig

          public java.lang.String getConfig()

    - #### setConfig

          public void setConfig(java.lang.String config)

    - #### getConfigPreferences

          public Preferences getConfigPreferences()

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)